/* This file is Copyright 2000 Level Control Systems.  See the included LICENSE.txt file for details. */

//! author="Jeremy Friesner"

/******************************************************************************
/
/   File:      ConvertMessages.h
/
/   Description:   Functions to convert BMessages to PortableMessages and back.
/                  This code will only compile under BeOS!  (It's not very
/                  useful in other environments anyway)
/
*******************************************************************************/

#ifndef _CONVERTMESSAGES_H
#define _CONVERTMESSAGES_H

#include <app/Message.h>
#include "message/PortableMessage.h"

//:Converts a PortableMessage into a BMessage.  Only compiles under BeOS!
status_t ConvertPortableMessageToBMessage(const PortableMessage & from, BMessage & to);

//:Converts a BMessage into a PortableMessage.  Only compiles under BeOS!
// Note that not all BMessage data is supported by the PortableMessage class (yet).
// Thus, if you try to convert a BMessage that contains e.g. a BRect,
// this method will fail.
status_t ConvertBMessageToPortableMessage(const BMessage & from, PortableMessage & to);

#endif
