/* This file is Copyright 2000 Level Control Systems.  See the included LICENSE.txt file for details. */  

#include <string.h>

#include "reflector/StorageReflectUtils.h"

// Returns a pointer into (path) after the (depth)'th '/' char
const char * GetPathClause(int depth, const char * path)
{
   for (int i=0; i<depth; i++)
   {
      const char * nextSlash = strchr(path, '/');
      if (nextSlash == NULL) break;
      path = nextSlash + 1;
   }
   return path;          
}

int GetPathDepth(const char * path)
{
   if ((path[0] == '/')&&(path[1] == '\0')) return 0;

   int depth = 0;
   while(true)
   {
      const char * nextSlash = strchr(path, '/');
      if (nextSlash == NULL) break;
      depth++;
      path = nextSlash+1;
   }
   return depth;
}

void EscapeRegexTokens(PortableString & s)
{
   const char * str = s.Cstr();

   PortableString ret;
   while(*str)
   {
      switch(*str)
      {
         case '[': case ']': case '*': case '?': case '\\':
            ret += '\\';
         break;
      }
      ret += *str;
      str++;
   }
   s = ret;
}
