/* This file is Copyright 2000 Level Control Systems.  See the included LICENSE.txt file for details. */

//! author="Jeremy Friesner"

/******************************************************************************
/
/	File:		PortableMacros.h
/
/	Description:	Some macros that I like to use....
/
*******************************************************************************/

#ifndef _PORTABLEMACROS_H
#define _PORTABLEMACROS_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "syslog/SysLog.h"

#define WARN_OUT_OF_MEMORY LogTime(LOG_CRITICALERROR, "ERROR--OUT OF MEMORY!  (%s:%i)\n",__FILE__,__LINE__)
#define ASSERT(x,msg) if(!(x)) {LogTime(LOG_CRITICALERROR, "ASSERTION FAILED: (%s:%i) "msg"\n", __FILE__,__LINE__); *((long *)0) = 0xdeadbeef;}          

#define UNLESS(x) if(!(x))
#define ARRAYITEMS(x) (sizeof(x)/sizeof(x[0]))  // returns # of items in array

#ifdef __BEOS__
# ifdef BONE
#  define closesocket close
# else
#  define BEOS_OLD_NETSERVER
# endif
#else
# define closesocket close
#endif

#endif /* _PORTABLEMACROS_H */

